Update a cron job
PATCH
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}/cron/{cron}
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/cron/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"description":"example","scheduleExpression":"example","command":["example"],"targetContainerName":"example","isEnabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/cron/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "scheduleExpression": "example", "command": [ "example" ], "targetContainerName": "example", "isEnabled": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Example
test-orgapplication
required
string
The application ID
Example
test-appenvironment
required
string
The environment ID
Example
test-envcron
required
string
The cron job ID
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
description
string
scheduleExpression
string
command
Array<string>
targetContainerName
string
isEnabled
boolean
Examplegenerated
{ "description": "example", "scheduleExpression": "example", "command": [ "example" ], "targetContainerName": "example", "isEnabled": true}Responses
Section titled “Responses”The updated cron job
Media typeapplication/json
object
name
string
description
string
scheduleExpression
string
command
Array<string>
targetContainerName
string
isEnabled
boolean
Examplegenerated
{ "name": "example", "description": "example", "scheduleExpression": "example", "command": [ "example" ], "targetContainerName": "example", "isEnabled": true}The cron job not found
